VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "DummyObject"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa DummyObject
'Uzywana gdy stos nie zawiera pary tokenów
Implements ParseObject
Private value As Integer, typ As Integer

Private Sub ParseObject_addArg(p As ParseObject)
  'Pusta
End Sub

Private Function ParseObject_getType() As Integer
  ParseObject_getType = typ
End Function

Private Function ParseObject_getValue() As Integer
  ParseObject_getValue = value
End Function

Private Sub ParseObject_init()
  value = 0
  typ = 0
End Sub

Private Sub ParseObject_setData(dt As data, ByVal pt As ListBox)
End Sub
